const Mesa = require('vendor/Mesa.js');
const ShopifyGraphql = require('vendor/ShopifyGraphql.js');
const Shopify= require('vendor/Shopify.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {
  script = (payload, context) => {
    let order = context.steps.shopify;

    let query = `
      query orderFulfillmentName($id: ID!) {
        order(id:$id) {
          fulfillmentOrders(first:3){
            nodes {
              assignedLocation {
                name
              }
            }
          }
        }
      }
    `;

    const r = ShopifyGraphql.send(query, {
      "id": "gid://shopify/Order/" + order.id,
    });

    let newPayload = {
      "assigned_location": r.data.order.fulfillmentOrders.nodes[0].assignedLocation.name,
    }

    Mesa.output.next(newPayload);
  }
}
